﻿/* DEFAULTS
----------------------------------------------------------*/
@import url(https://fonts.googleapis.com/css?family=Oswald);

body   
{
    background: #fff;
    font-family:Arial;
    font-size:.8em;
    font-style:normal;
    font-weight:normal;
    line-height:1.5em;
    
    /*font-family: "Oswald", "Helvetica Neue", "Lucida Grande", "Segoe UI", Arial, Helvetica, Verdana, sans-serif;*/
	margin:0px; 
	padding:0px; 
    color:#666;
    vertical-align: middle;

}

html, body {
    height: 100%;
}

a:link, a:visited
{
    color: #034af3;
}

a:hover
{
    color: #1d60ff;
    text-decoration: none;
}

a:active
{
    color: #034af3;
}

p{
	margin:0px 0px 8px 0px;
}

/* HEADINGS   
----------------------------------------------------------*/

h1, h2, h3, h4, h5, h6
{
    font-size: 1.5em;
    color: #666;
    font-variant: small-caps;
    text-transform: none;
    font-weight: 200;
    margin-bottom: 0px;
}

h1
{
    font-size: 1.6em;
    padding-bottom: 0px;
    margin-bottom: 0px;
}

h2
{
    font-size: 1.5em;
    font-weight: 600;
}

h3
{
    font-size: 1.2em;
}

h4
{
    font-size: 1.1em;
}

h5, h6
{
    font-size: 1em;
}

/* this rule styles <h1> and <h2> tags that are the 
first child of the left and right table columns */
.rightColumn > h1, .rightColumn > h2, .leftColumn > h1, .leftColumn > h2
{
    margin-top: 0px;
}


/* PRIMARY LAYOUT ELEMENTS   
----------------------------------------------------------*/

.page
{
    background-color: #fff;
    width: 100%;
    max-width:960px;
    margin-left:auto;
    margin-right :auto;
     /*margin: 20px auto 0px auto;
    border: 1px solid #496077;
    display: inline-block;*/
}

.portalpage
{
    background-color: #fff;
    width: 100%;
    margin-left:auto;
    margin-right :auto;
     /*margin: 20px auto 0px auto;
    border: 1px solid #496077;
    display: inline-block;*/
}

.header
{
    position: relative;
    margin: 0px;
    padding: 0px;
    background: #3a6e02; /* #4b6c9e; */
    width: 100%;
    display: inline-block;
   	background-image:url(../images/header_nav_bg.png);
	background-position: 50% 0;
	background-repeat:no-repeat;
}

.header h1
{
    font-weight: 700;
    margin: 0px;
    padding: 0px 0px 0px 20px;
    color: #f9f9f9;
    border: none;
    line-height: 2em;
    font-size: 2em;
}

.main
{
    padding: 0px 12px ;
    margin: 12px 8px 8px 8px;
    min-height: 420px;
    background-color: #fff;
    /* border :1px solid black; */
}

.leftCol
{
    vertical-align:top;
    text-align:left;
    width:50%;
    padding: 5px;
    margin: 5px;
    display:table-cell;
}

.rightCol
{
    vertical-align:top;
    text-align:left;
    width:49%;
    padding: 5px;
    margin: 5px;
    display:table-cell;
}

.blueBG
{
    background-color:#048dd7;
}

.topLeft
{
    vertical-align:top;
    text-align:left;
}

.productCol
{
    vertical-align:top;
    text-align:center;
    width:50%;
    padding: 5px;
    margin: 5px;
}

.centerText
{
    text-align: center;
}

.footerVDivide
{
    width:20px; 
    float:left;
}

.footerTopBorder
{
   background-color: #3a6e02;
}

.footerInner
{
    vertical-align:top; 
    float:left; 
    padding:10px 10px 10px 10px;
}

.footerTitle
{
    font-size:1.5em;
    color :#048dd7;
    text-align: left;
    font-family:Oswald;
}

.footerInfoNoIndent
{
    font-size:1.1em;
    color :#CCC;
    text-align: left;
}

.footerInfo
{
    margin-left: 15px;
    font-size:1.1em;
    color :#CCC;
    text-align: left;
}

.footerTerms
{
    color: #DDD;
    height:50px;
    line-height:50px;
    background-image: URL(../images/bottom_bg.png);
    background-repeat: repeat;
    text-align: center; 
    vertical-align: middle;
    text-decoration : none; 
}

.footerTerms a
{
    color: #DDD;
    text-decoration : none;    
}

.footer
{
    width:100%;
    color:#fff;
    background-color: #3a6e02; /* #4e5766; */
    background-image: URL(../images/footer_bg.jpg);
    background-repeat: repeat;
    padding: 10px 10px 10px 10px auto;
    /*padding: 10px 0px 10px 15px;*/
    display: inline-block;
    position: relative;
    font-size:.8em;
    font-family: Arial;
    line-height: normal;
}

.tabButtonInitial
{
    display: block;
    padding: 9px 18px 9px 18px;
    margin: 0px;
    float: left;
    text-align:center;
    text-decoration:underline;
    color: #666;
    background-color: #fff;
    font-weight: bold;
    font-size:.9em;
}
.tabButtonInitial:hover
{
    background-color: #ddd;
    text-align:center;
}
.tabButtonClicked
{
    float: left;
    display: block;
    padding: 9px 18px 9px 18px;
    text-align:center;
    font-weight: bold;
    color: #FFF;
    background-color: #048dd7;
    -moz-border-radius:3px;
    -webkit-border-radius:3px;
    border-radius:3px;
}

.tabView
{
    width: 99%;
    border:1px solid #CCC;
    /* padding:15px 15px 15px 15px; */
    padding: 15px 5px 15px 15px;
    display: inline-block;
    position: relative;
    font-family:arial;
    vertical-align:top;
    -moz-border-radius:3px;
    -webkit-border-radius:3px;
    border-radius:3px;
}

.tabBody
{
    margin:15px 15px 15px 15px;
}


/* TAB MENU   
----------------------------------------------------------*/

div.hideSkiplink
{
    background-color:#3a4f63;
    width:100%;
}

div.menu
{
    padding: 4px 0px 4px 8px;
}

div.menu ul
{
    list-style: none;
    margin: 0px;
    padding: 0px;
    width: auto;
}

div.menu ul li a, div.menu ul li a:visited
{
    background-color: #048dd7;
    border: 1px #4e667d solid;
    color: #dde4ec;
    display: block;
    line-height: 1.35em;
    padding: 4px 20px;
    text-decoration: none;
    white-space: nowrap;
    -moz-border-radius:3px;
    -webkit-border-radius:3px;
    border-radius:3px;
    font-family:Oswald;
}

div.menu ul li a:hover
{
    background-color: #bfcbd6;
    color: #465c71;
    text-decoration: none;
}

div.menu ul li a:active
{
    background-color: #465c71;
    color: #cfdbe6;
    text-decoration: none;
}


/* MISC  
----------------------------------------------------------*/

.inputTable
{
    padding:10px;
    background-color:#b3e6b3;
}

.clear
{
    clear: both;
}

.siteLogo
{
    display: block;
    float: left;
    text-align: left;
    width: auto;
    margin: 10px 10px 10px 10px;
}

.navDisplay
{
    display: block;
    float: left;
    text-align: left;
    width: auto;
    margin:40px 10px 10px 150px;
}

.SupplierDisplayName
{
    float:right;
    color:#000;
}

.loginDisplay
{
    font-size: 1.1em;
    display: block;
    text-align: right;
    padding: 10px;
    color: White;
}

.loginDisplay a:link
{
    color: white;
}

.loginDisplay a:visited
{
    color: white;
}

.loginDisplay a:hover
{
    color: white;
}

.failureNotification
{
    font-size: 1.2em;
    color: Red;
}

.bold
{
    font-weight: bold;
}

.SubHead
{
    font-family:Oswald;
    font-size:1.1em;
}

.indent15
{
    /*padding-left: 15px;*/
    padding:5px 5px 5px 15px;
}

.submitButton
{
    text-align: right;
    padding-right: 10px;
}

.homeRotator
{
    background-color: #048dd7; 
    height:210px;
}

.pageHeaderTitle
{
    display: inline-block; /*inline-block; */
    -moz-border-radius:3px;
    -webkit-border-radius:3px;
    border-radius:3px;
    border:3px double #fff;
    height:32px;
    width:90%;
    line-height:32px;
    padding:0px 10px;
    white-space: nowrap;
    color:#fff;
    background-color: #048dd7;
    background-image: url(../images/pageTile_bg.png);
    background-repeat:repeat-x;
    font-family:Oswald;
    font-size:1.1em;
}

.inputSubmitButton
{
    width:auto;
    height: 32px;
    padding: 5px;
    color:#fff;
    background-color: #048dd7;
    text-align: center;
    vertical-align:middle;
    -moz-border-radius:3px;
    -webkit-border-radius:3px;
    border-radius:3px;
}

.inputBoxPrompt
{
    font-family:Oswald;
    font-size:1em;
    text-align:right; 
    vertical-align:top;
    padding: 3px;
}

.inputBox
{
    width: 200px;
    padding: 3px;
    text-align: left;
    -moz-border-radius:3px;
    -webkit-border-radius:3px;
    border-radius:3px;
}

.inputBoxShort
{
    width: 75px;
    padding: 3px;
    text-align: left;
    -moz-border-radius:3px;
    -webkit-border-radius:3px;
    border-radius:3px;
}

.inputBoxLong
{
    width: 350px;
    padding: 3px;
    text-align: left;
    -moz-border-radius:3px;
    -webkit-border-radius:3px;
    border-radius:3px;
}

.CaptchaInput
{
    width: 80px;
    padding: 3px;
    text-align: left;
    -moz-border-radius:3px;
    -webkit-border-radius:3px;
    border-radius:3px;
}

.inputBoxMultiline
{
    width: 250px;
    height:80px;
    padding: 3px;
    text-align: left;
    -moz-border-radius:3px;
    -webkit-border-radius:3px;
    border-radius:3px;
}

.inputBoxMultilineLong
{
    width: 500px;
    height: 80px;
    padding: 3px;
    text-align: left;
    -moz-border-radius:3px;
    -webkit-border-radius:3px;
    border-radius:3px;
}

.ImageDiv
 {
   position: relative;
   float:left;
   margin:5px; 
   /*width: 240px; 
   height: 184px;*/
}

.ImageDivEnlarge
{
    background-color:#fff;
    transform: scale(1.25) 0.2s ease;
}

.TextOnDiv {
   position: absolute;
   top: 20px;
   left: 20px; 
   padding:15px 25px 15px 25px;
   background-color :#FFF;
   color:#000;   
}

a.fancybox img 
{
    border: none;
    box-shadow: 0 1px 7px rgba(0,0,0,0.6);
    -o-transform: scale(1,1); 
    -ms-transform: scale(1,1); 
    -moz-transform: scale(1,1); 
    -webkit-transform: scale(1,1); 
    transform: scale(1,1); 
    -o-transition: all 0.2s ease-in-out; 
    -ms-transition: all 0.2s ease-in-out; 
    -moz-transition: all 0.2s ease-in-out; 
    -webkit-transition: all 0.2s ease-in-out; 
    transition: all 0.2s ease-in-out;
} 

a.fancybox:hover img 
{
    position: relative; 
    z-index: 999; 
    -o-transform: scale(1.03,1.03); 
    -ms-transform: scale(1.03,1.03); 
    -moz-transform: scale(1.03,1.03); 
    -webkit-transform: scale(1.03,1.03); 
    transform: scale(1.03,1.03);
}

.emailSmallLogo
{
    background-image: URL(http://localhost/images/TMALogoSmall.png);
}

.required
{
    color:Red;
    vertical-align: super;
}

.ProductDetailImage
{
   padding:0px;
   border:1px solid #021a40;
   background-color:#f2ffa8; /* tan-ish */
}

.ProductDetailsTable
{
    width:100%; 
    border: 1px solid #CCC; 
    font-size:.85em; 
    border-collapse: collapse;
}

.ProductDetailsTable th
{
    border: 1px solid #CCC; 
    background-color:#CCFFFF;
    text-align:center;
}

.ProductDetailsTable td
{
    border: 1px solid #CCC; 
    text-align:center;
}

#map 
{
    width: 100%;
    height: 400px;
    background-color: #CCC;
}

.scarTable {
    margin-left: 5px;
    border-spacing: 0px !important;
}


/*--- Scorecard Value Sections ---*/
.wrapper {
    position: absolute;
    top: 5px;
    left: 5px;
    width: 20vw;
    height: 20vw;
}

.flex-container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: stretch;
    margin-bottom: 2vh;
}

    .flex-container::before {
        content: "";
    }

    .flex-container::after {
        content: "";
    }

.section {
    position: relative;
    text-align: center;
    margin: .5vw;
    width: 20vw;
    box-shadow: 3px 3px 7px black;
    border-radius: 10px;
}

    .section:hover {
        cursor: pointer;
        color: blue;
    }

.section-img {
    color: black;
    opacity: 68%;
    width: 75%;
    height: auto !important;
    object-fit: none;
    padding-top: 5px;
    padding-left: 5px;
}

.section-text {
    font-size: large;
    font-weight: bolder;
    color: white;
    padding: 5%;
    text-align: center;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

    .section-text:hover label {
        cursor: pointer;
        height: 100%;
    }

.section-overall {
    position: relative;
    box-shadow: 5px 4px 10px black;
    margin:10px 5px;
    border-radius: 10px;
    width:97%;
    height:14vh;
}

    .section-overall:hover {
        cursor: pointer;
    }

.section-overall-text {
    font-size: xx-large;
    color: white;
    padding: 5%;
    text-align: center;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%)
}

.section-overall-img {
    opacity: 35%;
    width: 100%;
    height: 108px;
    object-fit: fill;
    position: absolute;
    top:50%;
    left:50%;
    transform: translate(-50%,-50%);
    border-radius:10px;
}

.section-overall-text:hover label {
    cursor: pointer;
}

.partner {
    background-color: green;
}

.key {
    background-color: blue;
}

.approved {
    background-color: orange;
}

.conditional {
    background-color: red;
}


@media only screen and (min-device-width : 320px) and (max-device-width : 480px) {

    .section-overall {
        position: relative;
        box-shadow: 5px 4px 10px black;
        margin: 10px 5px;
        border-radius: 10px;
        width: 97%;
        height: 6vh;
    }

}

@media only screen and (min-device-width : 768px) and (max-device-width : 1023px) {
    
    .section-overall {
        position: relative;
        box-shadow: 5px 4px 10px black;
        margin: 10px 5px;
        border-radius: 10px;
        width: 97%;
        height: 8vh;
    }

}

@media only screen and (min-width: 1024px) and (max-width: 1439px) {
    .section-overall {
        position: relative;
        box-shadow: 5px 4px 10px black;
        margin: 10px 5px;
        border-radius: 10px;
        width: 97%;
        height: 8vh;
    }
}